### Hierarchy

- PermissionsService

## Index

### Constructors

- constructor

### Properties

- _http
- _rules
- _type
- _user

### Accessors

- roles
- rules
- type
- user
- instance

### Methods

- addRules
- loadRules
- registerPermissionComponents

### Object literals

- _roles

## Constructors

### constructor

- new PermissionsService(enforcer: any): PermissionsService

- - Defined in permissions/permissions-service.ts:16

  #### Parameters

  - ##### enforcer: any

  #### Returns PermissionsService

## Properties

### _http

_http: HttpService

- Defined in permissions/permissions-service.ts:16

### _rules

_rules: any[]

- Defined in permissions/permissions-service.ts:14

### _type

_type: string

- Defined in permissions/permissions-service.ts:10

### _user

_user: User

- Defined in permissions/permissions-service.ts:15

## Accessors

### roles

- get roles(): object

- - Defined in permissions/permissions-service.ts:66

  #### Returns object

### rules

- get rules(): any[]
- set rules(rules: any[]): void

- - Defined in permissions/permissions-service.ts:62

  #### Returns any[]

- - Defined in permissions/permissions-service.ts:78

  #### Parameters

  - ##### rules: any[]

  #### Returns void

### type

- get type(): string
- set type(value: string): void

- - Defined in permissions/permissions-service.ts:85

  #### Returns string

- - Defined in permissions/permissions-service.ts:89

  #### Parameters

  - ##### value: string

  #### Returns void

### user

- get user(): User
- set user(user: User): void

- - Defined in permissions/permissions-service.ts:70

  #### Returns User

- - Defined in permissions/permissions-service.ts:74

  #### Parameters

  - ##### user: User

  #### Returns void

### Static instance

- get instance(): any

- - Defined in permissions/permissions-service.ts:27

  #### Returns any

## Methods

### addRules

- addRules(rules: any[], replace?: boolean): void

- - Defined in permissions/permissions-service.ts:42

  #### Parameters

  - ##### rules: any[]

  - ##### Default value replace: boolean = false

  #### Returns void

### loadRules

- loadRules(url: string, replace?: boolean, pluck?: string): Promise<void>

- - Defined in permissions/permissions-service.ts:34

  #### Parameters

  - ##### url: string

  - ##### Default value replace: boolean = true

  - ##### Default value pluck: string = undefined

  #### Returns Promise<void>

### registerPermissionComponents

- registerPermissionComponents(componentElements?: any): void

- - Defined in permissions/permissions-service.ts:54

  #### Parameters

  - ##### Optional componentElements: any

  #### Returns void

## Object literals

### _roles

_roles: object

- Defined in permissions/permissions-service.ts:11

### ANONYMOUS

ANONYMOUS: object[] = [{ actions: 'read', subject: 'all' }]

- Defined in permissions/permissions-service.ts:12